package uk.co.twey.uni.dooom;

import java.io.IOException;

/** Abstract class representing a client. */
public abstract class ClientOfDooom {
    /** The player (if any; may be null) associated with this client. */
    protected PlayerOfDooom player;
    public PlayerOfDooom getPlayer() { return player; }
    public void setPlayer(PlayerOfDooom player) { this.player = player; }

    /**
     * Send a message for the client's review.
     *
     * @param message the message to send.
     *
     * @throws IOException if the message could not be sent.
     */
    public abstract void writeMessage(String message) throws IOException;
}