package uk.co.twey.uni.dooom;

/**
 * A place containing an exit (marked E on the map).
 */
public class ExitOfDooom extends FloorOfDooom {
    /**
     * Create a new ExitOfDooom.
     *
     * @param x the absolute x position of the tile.
     * @param y the absolute y position of the tile.
     */
    public ExitOfDooom(int x, int y) { super(x, y); }

    /**
     * The icon to use when no object on the floor overrides it.
     * <p>
     * The base icon for exits is a letter E.
     *
     * @return the icon.
     */
    public char getBaseIcon() { return 'E'; }

    /**
     * {@inheritDoc}
     * <p>
     * This handler simply throws an ExitException for later handling.
     */
    public void onEnter(PlayerOfDooom player) throws ExitException {
        throw new ExitException(player, this);
    }
}