package uk.co.twey.uni.dooom;

/**
 * Indicates something that is capable of containing other objects.
 */
public interface HolderOfDooom {
    /**
     * Remove the object from the holder's inventory.
     *
     * @param object the object to remove.
     */
    public void drop(ObjectOfDooom object);

    /**
     * Add the object to the holder's inventory, removing it from its
     * original position if necessary.
     *
     * @param object the object to take.
     */
    public void take(ObjectOfDooom object);
    
    /** Get the set of all items held by this holder. */
    public java.util.Set<ObjectOfDooom> getItems();
}