package uk.co.twey.uni.dooom;

/** An exception thrown to indicate that a player has attempted to
 * enter a region that cannot be entered.
 */
public class ImpassableException extends EntryException {
    private static final long serialVersionUID = -8479427247831132723L;

    /**
     * Create a new ImpassableException.
     *
     * @param place the place that would have been entered.
     */
    public ImpassableException(PlayerOfDooom player, PlaceOfDooom place) {
        super(player, place, "Cannot enter place of type "
                             + place.getClass().getName());
    }
}