package uk.co.twey.uni.dooom;

/** An exception thrown to indicate that a player has attempted to
 * enter a region that is already occupied.
 */
public class PlaceOccupiedException extends EntryException {
    static final long serialVersionUID = 1953372200303351112L;

    /** The object blocking passage. */
    protected ObjectOfDooom blocker;
    public ObjectOfDooom getBlocker() { return blocker; }

    /**
     * Create a new PlaceOccupiedException.
     *
     * @param place the place that would have been entered.
     */
    public PlaceOccupiedException(PlayerOfDooom player,
                                  PlaceOfDooom place,
                                  ObjectOfDooom blocker) {
        super(player, place,
              "Cannot enter place of type " + place.getClass().getName()
              + " due to blocking by " + blocker.getName());

        this.blocker = blocker;
    }
}