package uk.co.twey.uni.dooom;

import java.util.Collection;

/** Utility functions. */
public class Util {
    /** This class may not be instantiated. */
    private Util() { throw new UnsupportedOperationException("class is static"); }

    /**
     * Join a collection of strings into one string, intercalating a string between them.
     * 
     * @param items the collection of strings to join.
     * @param glue the string to intercalate.
     *
     * @return the string, all joined up!
     */
    public static String join(Collection<String> items, String glue) {
        StringBuilder b = new StringBuilder();

        boolean first = true;

        for (String item : items) {
            if (!first)
                b.append(glue);
            else
                first = false;

            b.append(item);
        }

        return b.toString();
    }
}