package uk.co.twey.uni.dooom.client;

import uk.co.twey.uni.dooom.ui.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

import java.io.*;

/**
 * A Swing widget showing the status of the player.
 */
public class StatusWidget extends JPanel {
    protected JLabel goldLabel;

    /** The amount of gold currently held by the player. */
    protected int gold;
    public void setGold(int gold) { this.gold = gold; updateGold(); }
    /** The amount of gold needed to win. */
    protected int goal;
    public void setGoal(int goal) { this.goal = goal; updateGold(); }

    /**
     * Create a new StatusWidget.
     */
    public StatusWidget() {
        setBorder(BorderFactory.createTitledBorder("Actions"));
        setPreferredSize(new Dimension(288, 576));
        setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));

        add(goldLabel = new JLabel("Gold: " + 0 + "/" + 0));
        goldLabel.setAlignmentX(Component.CENTER_ALIGNMENT);
    }

    /**
     * Update the label text with the new values.
     */
    protected void updateGold() {
        goldLabel.setText("Gold: " + gold + "/" + goal);
    }
}