package uk.co.twey.uni.dooom.server;

import java.awt.*;
import javax.swing.*;

import uk.co.twey.uni.dooom.*;

/**
 * Represents the server UI.
 */
public class ServerUI {
    /** The main window. */
    protected ServerUIWindow win;
    public void setWin(ServerUIWindow win) { this.win = win; }

    /** The {@link Server} object to be controlled. */
    protected Server server;

    /**
     * Create a new ServerUI.
     */
    public ServerUI(Server server) {
        this.server = server;

        SwingUtilities.invokeLater(new ServerUIRunner(server, this));
    }

    /**
     * Update the map widget according to the current server map.
     */
    public void updateMap() {
        SwingUtilities.invokeLater(new Runnable() {
                public void run() {
                    win.updateMap();
                }
            });
    }

    /**
     * Append a message to the log.
     *
     * @param msg the message to append.
     */
    public void appendLog(final String msg) {
        SwingUtilities.invokeLater(new Runnable() {
                public void run() {
                    win.appendLog(msg);
                }
            });
    }
}