package uk.co.twey.uni.dooom.server;

import javax.swing.*;

/** 
 * A helper class to run the server UI.
 */
public class ServerUIRunner implements Runnable {
    /** The {@link Server} object to be shown/controlled. */
    protected Server server;
    /** The new UI being displayed. */
    protected ServerUI ui;

    /**
     * Create a new ServerUIRunner.
     * 
     * @param server the {@link Server} object being controlled.
     * @param ui the UI to be run.
     */
    public ServerUIRunner(Server server, ServerUI ui) {
        this.server = server;
        this.ui = ui;
    }

    /**
     * Run the UI.
     */
    public void run() {
        try {
            UIManager.setLookAndFeel(
                UIManager.getSystemLookAndFeelClassName());
        } catch (Exception e) {
            // Never mind then
        }
            
        ui.win = new ServerUIWindow(server);
    }
}