package uk.co.twey.uni.dooom.ui;

import java.awt.*;
import javax.swing.*;

/**
 * Represents and displays a scrolling log of past commands.
 */
public class LogWidget extends JScrollPane {
    static final long serialVersionUID = -3228255698409919082L;

    /** The widget that will hold the log. */
    protected JTextArea textArea;

    /**
     * Add new text to the log.
     *
     * @param text the text to append.
     */
    public void append(String text) {
        textArea.append(text + "\n");
    }

    /**
     * Create a new LogWidget.
     */
    public LogWidget() {
        super(new JTextArea());
        
        setPreferredSize(new Dimension(288, 576));

        textArea = (JTextArea) getViewport().getView();

        textArea.setEditable(false);
        textArea.setFont(new Font(Font.MONOSPACED, Font.PLAIN, 12));
    }
}