import org.junit.*;
import uk.co.twey.uni.dooom.*;
import uk.co.twey.uni.dooom.client.*;

public class FloorTest {
    @Test
    public void testIcon() {
        Assert.assertEquals('.', (new FloorOfDooom(0, 0)).getIcon());
    }

    @Test
    public void testAddRemove() {
        GoldOfDooom gold = new GoldOfDooom(1);
        GoldOfDooom falseGold = new GoldOfDooom(1) {
                public void onTake(HolderOfDooom holder) throws PossessionException {
                    throw new PossessionException(this);
                }
            };
        FloorOfDooom floor = new FloorOfDooom(0, 0, falseGold);

        Assert.assertFalse(floor.getItems().remove(falseGold));

        floor.take(gold);
        Assert.assertTrue(floor.getItems().remove(gold));
        Assert.assertFalse(floor.getItems().remove(gold));
        floor.drop(gold);
        
    }

    @Test
    public void testPassable() {
        Assert.assertTrue((new FloorOfDooom(0, 0)).isPassable());
    }

    @Test
    public void testEnter() throws EntryException {
        (new FloorOfDooom(0, 0)).onEnter(new PlayerOfDooom("John Smith", new ConsoleClientOfDooom(null)));
    }
}