import uk.co.twey.uni.dooom.*;
import org.junit.*;
import java.util.*;
import java.lang.reflect.*;

public class UtilTest {
    @Test(expected = InvocationTargetException.class)
    public void testConstructor()
        throws InvocationTargetException, // We want this one
               // Java wraps our original UnsupportedOperationException
               // with an InvocationTargetException
               InstantiationException, IllegalAccessException { // not these ones
        // Idea from
        // http://old.nabble.com/coverage-report-error-of-class-with-static-methods-only-td14191286.html
        final Class<Util> cls = Util.class;
        final Constructor<?> cons = cls.getDeclaredConstructors()[0];
        cons.setAccessible(true);
        cons.newInstance((Object[]) null);
    }

    @Test
    public void testJoin() {
        Collection<String> items = new LinkedList<String>();
        items.add("foo");
        items.add("bar");

        Assert.assertEquals(Util.join(items, ", "), "foo, bar");
    }
}